Skip to content

API Reference

Update transaction suspicious activities in batch

PUT /v2/transaction_suspicious_activity https://api.cable.tech

Authentication

  • Bearer token in the Authorization header transaction_suspicious_activity:write

Request body

application/json list of objects

An array of transaction suspicious activity update payloads. Each payload must include the ‘suspicious_activity_id’ to identify the suspicious activity and can include any other fields that need to be updated. The ‘timestamp’ field represents the time of update.

  • suspicious_activity_id string required

    Unique identifier for a suspicious activity belonging to a transaction. This is the primary key for a transaction suspicious activity and should be unique across all transaction suspicious activities. Updates to a transaction suspicious activity should be made using this identifier.

  • is_test boolean

    Set to true if this is a test transaction suspicious activity

    Default false

  • detection_date string

    Timestamp at which suspicious activity was detected on a transaction in ISO 8601 format. Use the actual detection time, not the current timestamp.

    Format date-time

  • report_id string

    Unique identifier for a transaction suspicious activity report for which the suspicious activity belongs to.

  • report_filed_at string

    The time the transaction suspicious activity report was filed in ISO 8601 format. Use the actual filing time, not the current timestamp.

    Format date-time

  • related_tx_ids list of strings

    Unique identifiers for transactions for which the suspicious activity relates to.

  • related_alert_id string

    Unique identifier for a transaction alert for which the suspicious activity relates to.

  • timestamp string required

    When the suspicious activity was detected in your system, in ISO 8601 format.

    Format date-time

Responses

200 Transaction suspicious activity updated successfully

  • success boolean required

    Indicates if the write operation was successful.

  • write_count integer required

    The number of records written to the database.

    Format int32

  • message string required

    Provides additional information about the operation result.

  • organization_id string required

    The organization ID for which the operation was performed.

Errors

  • 400 Invalid transaction suspicious activity data
  • 401 Unauthorized request
  • 404 Transaction suspicious activity not found
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 400401404429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string